@import url(https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap);
@charset "UTF-8";
:root {
  --bs-gutter-x: 1.5rem;
}

@view-transition {
  navigation: auto;
}
html {
  overscroll-behavior-x: none;
  overscroll-behavior-y: none;
}

body {
  font-family: "Inter", sans-serif;
  cursor: default;
}

.col-one-fifth {
  flex: 0 0 20%;
  max-width: 20%;
}

.menu {
  margin: 0px;
  padding: 0px;
  list-style: none;
}
.menu li {
  margin-bottom: 15px;
}
.menu li:last-child {
  margin-bottom: 0px;
}
.menu-sub {
  list-style: none;
  margin: 0px;
  padding: 0px 0px 0px 30px;
}
.menu-sub-item {
  display: flex;
  width: 100%;
  align-items: center;
  background-color: transparent;
  padding: 10px 15px;
  color: #573e69;
  border-radius: 8px;
  text-decoration: none !important;
  transition: all 0.3s ease-in-out;
}
.menu-sub-item.active, .menu-sub-item:hover {
  background-color: #fbf6fc;
}
.menu-sub-item svg {
  opacity: 0.5;
  width: 20px;
  height: auto;
  margin: 0px 10px 0px 0px;
}
.menu-sub li {
  margin-top: 10px;
}
.menu-item {
  display: flex;
  width: 100%;
  align-items: center;
  background-color: transparent;
  padding: 10px 15px;
  color: #573e69;
  border-radius: 8px;
  text-decoration: none !important;
  transition: all 0.3s ease-in-out;
}
.menu-item.active, .menu-item:hover {
  background-color: #fbf6fc;
}
.menu-item svg {
  opacity: 0.5;
  width: 20px;
  height: auto;
  margin: 0px 10px 0px 0px;
}

.ptc-balance {
  display: flex;
  align-items: center;
  font-weight: 700;
  font-size: 18px;
  line-height: 18px;
  position: relative;
}
.ptc-balance svg {
  width: 25px;
  height: auto;
  margin: 0px 10px 0px 0px;
}
.ptc-balance-block {
  display: flex;
  align-items: center;
}
.ptc-balance-add {
  position: absolute;
  right: 0;
  font-size: 14px;
  font-weight: 400;
  padding: 5px;
}
.ptc-policy {
  margin: 0px 0px 5px 0px;
  line-height: 12px;
}
.ptc-policy a {
  font-size: 12px;
  text-decoration: none !important;
  color: #8b8b8b;
}
.ptc-policy:last-child {
  margin: 0px;
}
.ptc-container {
  display: flex;
  min-height: 100vh;
}
.ptc-sidebar {
  overflow-x: auto;
  max-height: 100vh;
  flex: 0 0 250px;
  max-width: 250px;
  min-height: 100vh;
  border-right: 1px #e3e3e3 solid;
}
.ptc-sidebar-block {
  border-bottom: 1px #e3e3e3 solid;
  padding: 15px;
}
.ptc-sidebar-block:last-child {
  border: 0px;
}
.ptc-sidebar-logo {
  font-size: 30px;
  font-weight: 700;
  margin: 0px 0px 10px 0px;
}
.ptc-sidebar-user-text {
  font-size: 14px;
  display: flex;
  align-items: center;
  overflow: hidden;
}
.ptc-sidebar-user-text span {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.ptc-sidebar-user {
  position: relative;
}
.ptc-sidebar-user svg {
  width: 20px;
  flex: 0 0 20px;
  height: auto;
  opacity: 0.6;
  margin: 0px 5px 0px 0px;
}
.ptc-sidebar-user:hover .ptc-sidebar-logout {
  opacity: 0.7;
}
.ptc-sidebar-logout {
  position: absolute;
  right: 0;
  top: -4px;
  padding: 4px 8px;
  text-decoration: none !important;
  font-size: 14px;
  color: #fff;
  border-radius: 6px;
  background-color: #fe6971;
  opacity: 0;
  transition: all 0.3s ease-in-out;
}
.ptc-sidebar-logout:hover {
  opacity: 1 !important;
}
.ptc-content {
  overflow-x: auto;
  max-height: 100vh;
  min-height: 100vh;
  flex: 0 0 calc(100% - 250px);
  max-width: calc(100% - 250px);
  background-color: #fbf6fc;
  padding-bottom: calc(var(--bs-gutter-x) * 0.5);
}
.ptc-content-header {
  position: sticky;
  top: 0;
  z-index: 10;
  border-bottom: 1px #e3e3e3 solid;
  padding: 15px;
  font-size: 22px;
  font-weight: 700;
  margin: 0px 0px calc(var(--bs-gutter-x) * 0.5) 0px;
  background: #fff;
}

.cnt-form-block {
  margin: 0px 0px 20px 0px;
}
.cnt-form-block:last-child {
  margin: 0px;
}
.cnt-form-block p:last-child {
  margin: 0px;
}
.cnt-form-title {
  margin: 0px 0px 5px 0px;
  font-size: 16px;
  font-weight: 700;
}
.cnt-form-input input {
  width: 100%;
  padding: 5px 10px;
  border-radius: 4px;
  border: 1px #e3e3e3 solid;
}
.cnt-label {
  padding: 5px 10px;
  font-size: 14px;
  border-radius: 4px;
  opacity: 0.7;
}
.cnt-label--warning {
  background-color: #fe6971;
  color: #fff;
}
.cnt-label--success {
  background-color: #4caf50;
  color: #fff;
}
.cnt-search, .cnt-select {
  height: 100%;
  width: 100%;
  border-radius: 6px;
  border: 1px #e3e3e3 solid;
  outline: none;
  padding: 5px 10px;
  transition: all 0.3s ease-in-out;
}
.cnt-search:hover, .cnt-search:focus, .cnt-select:hover, .cnt-select:focus {
  border-color: #4caf50;
}
.cnt-tabs-block {
  margin: 0px 0px calc(var(--bs-gutter-x) * 0.5) 0px;
  display: flex;
  flex-wrap: wrap;
  border-bottom: 4px #e3e3e3 solid;
}
.cnt-tabs-item {
  padding: 5px 10px;
  font-size: 14px;
  background-color: transparent;
  margin: 0px 0px -4px 0px;
  border: none;
  border-bottom: 4px transparent solid;
  color: #000;
  transition: all 0.3s ease-in-out;
}
.cnt-tabs-item--active {
  border-color: #4caf50;
  color: #4caf50;
}
.cnt-block {
  padding: 15px;
  border-radius: 8px;
  border: 1px #e3e3e3 solid;
  margin: 0px 0px calc(var(--bs-gutter-x) * 0.5) 0px;
  background-color: #fff;
  transition: all 0.3s ease-in-out;
}
.cnt-block--positions {
  cursor: pointer;
}
.cnt-block--positions:hover {
  border-color: #4caf50;
}
.cnt-block--green {
  border-color: #4caf50;
}
.cnt-block:last-child {
  margin: 0px;
}
.cnt-block-btn {
  display: flex;
  flex-wrap: wrap;
}
.cnt-block-header {
  font-size: 24px;
  font-weight: 700;
}
.cnt-block-content {
  font-size: 18px;
}
.cnt-btn {
  margin: 0px calc(var(--bs-gutter-x) * 0.5) 0px 0px;
  border-radius: 6px;
  outline: none !important;
  opacity: 0.7;
  transition: all 0.3s ease-in-out;
}
.cnt-btn-full {
  width: 100%;
}
.cnt-btn-primary {
  color: #fff;
  background-color: #5188dd;
}
.cnt-btn-primary:hover {
  color: #fff;
  background-color: #5188dd;
  opacity: 1;
}
.cnt-btn-success {
  color: #fff;
  background-color: #4caf50;
}
.cnt-btn-success:hover {
  color: #fff;
  background-color: #4caf50;
  opacity: 1;
}
.cnt-btn-danger {
  color: #fff;
  background-color: #fe6971;
}
.cnt-btn-danger:hover {
  color: #fff;
  background-color: #fe6971;
  opacity: 1;
}
.cnt-btn-hide {
  opacity: 0 !important;
}
.cnt-btn:last-child {
  margin: 0px;
}

.loader {
  width: 48px;
  height: 48px;
  border: 3px solid #e3e3e3;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
.loader-block {
  padding: 40px;
  text-align: center;
}

.loader::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 56px;
  height: 56px;
  border-radius: 50%;
  border: 3px solid;
  border-color: #5188dd transparent;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.mdl {
  position: fixed;
  z-index: -1;
  visibility: hidden;
  opacity: 0;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  transition: all 0.3s ease-in-out;
  padding: 0px 20px;
}
.mdl-open {
  z-index: 1000;
  visibility: visible;
  opacity: 1;
}
.mdl-backdrop {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0.7;
  z-index: 50;
}
.mdl-container {
  width: 100%;
  max-width: 500px;
  background-color: #fff;
  border-radius: 10px;
  position: relative;
  z-index: 100;
}
.mdl-header {
  padding: 10px;
  border-bottom: 1px #e3e3e3 solid;
  font-size: 20px;
  font-weight: 700;
}
.mdl-radio {
  padding: 10px;
  border-bottom: 1px #e3e3e3 solid;
}
.mdl-radio-title {
  font-size: 18px;
  margin: 0px 0px 5px 0px;
  font-weight: 700;
}
.mdl-content {
  padding: 10px;
  border-bottom: 1px #e3e3e3 solid;
}
.mdl-content textarea {
  width: 100%;
  border: 1px #e3e3e3 solid;
  border-radius: 10px;
  height: 300px;
}
.mdl-footer {
  padding: 10px;
  text-align: right;
}
.mdl-footer--projects {
  display: flex;
  align-items: center;
  justify-content: end;
}

.projects-add-btnblock {
  margin: 10px 0px;
}
.projects-table-row {
  position: relative;
  display: flex;
  padding: 5px 0px;
  border-bottom: 1px #e3e3e3 solid;
  margin: 0px -5px;
}
.projects-table-row--header {
  font-size: 14px;
  font-weight: 700;
}
.projects-table-input {
  width: 100%;
  padding: 5px 10px;
  border: 1px #e3e3e3 solid;
  border-radius: 0;
  height: 39px;
}
.projects-table-item {
  padding: 0px 5px;
}
.projects-table-id {
  flex: 0 0 40px;
  max-width: 40px;
}
.projects-table-url {
  flex: 0 0 250px;
  max-width: 250px;
}
.projects-table-key {
  flex: 0 0 calc(100% - 820px);
  max-width: calc(100% - 820px);
}
.projects-table-additional {
  flex: 0 0 200px;
  max-width: 200px;
}
.projects-table-lr {
  flex: 0 0 200px;
  max-width: 200px;
}
.projects-table-freq {
  flex: 0 0 80px;
  max-width: 80px;
}
.projects-table-action {
  flex: 0 0 50px;
  max-width: 50px;
}
.projects-search {
  width: 100%;
  padding: 5px 10px;
  font-size: 12px;
  border: 1px #e3e3e3 solid;
  outline: none !important;
}
.projects-table tbody tr:last-child {
  border: transparent !important;
}
.projects-table tr {
  vertical-align: middle;
}
.projects-alert {
  padding: 20px;
  text-align: center;
}
.projects-alert svg {
  width: 100px;
  height: auto;
  margin: 0px 0px 30px 0px;
}
.projects-alert--create svg {
  width: 200px;
}
.projects-alert-title {
  font-size: 22px;
  font-weight: 700;
}
.projects-alert p {
  margin: 0px 0px 0px 0px;
}
.projects-alert-btn {
  margin: 15px 0px 0px 0px;
}
.projects-keys {
  font-size: 14px;
  padding: 3px 5px;
  display: inline-block;
  border-radius: 6px;
  border: 1px #e3e3e3 solid;
  white-space: nowrap;
}
.projects-keys-diff {
  font-size: 14px;
}
.projects-keys-done {
  color: #4caf50;
}
.projects-keys-work {
  color: #fe6971;
}
.projects-limits, .projects-date {
  font-size: 14px;
  padding: 3px 5px;
  display: inline-block;
  border-radius: 6px;
  border: 1px #e3e3e3 solid;
}
.projects-hash {
  max-width: 200px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 5px 10px;
  border-radius: 6px;
  border: none;
  background-color: #5188dd;
  color: #fff;
  position: relative;
  font-size: 14px;
}
.projects-hash:hover:before {
  opacity: 1;
}
.projects-hash:before {
  content: "Скопировать";
  font-size: 14px;
  position: absolute;
  opacity: 0;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #5188dd;
  transition: all 0.3s ease-in-out;
}
.projects-hash--copied:before {
  content: "Скопировано!";
}

.form-block {
  margin: 0px 0px 10px 0px;
}
.form-block:last-child {
  margin: 0px;
}
.form-block:first-child {
  margin: 10px 0px;
}
.form-description {
  font-size: 12px;
  opacity: 0.5;
}
.form-title {
  font-size: 16px;
  font-weight: 700;
  margin: 0px 0px 5px 0px;
}

.loader-projects {
  width: 38px;
  height: 38px;
  border: 5px solid #86ace8;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.positions-filters-block {
  height: 100%;
}
.positions-filters-btn {
  width: 100%;
  text-align: center;
  height: 100%;
  border-radius: 6px;
  border: 1px #e3e3e3 solid;
  background-color: #fff;
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px;
  transition: all 0.3s ease-in-out;
  white-space: nowrap;
}
.positions-filters-btn:hover {
  border-color: #4caf50;
}
.positions-filters-btn svg {
  width: 20px;
  height: auto;
}
.positions-filters-btn svg:first-child {
  margin: 0px 5px 0px 0px;
}
.positions-filters-btn svg:last-child {
  margin: 0px 0px 0px 5px;
}
.positions-view-container {
  border: 1px #e3e3e3 solid;
}
.positions-view-row {
  display: flex;
  border-bottom: 1px #e3e3e3 solid;
}
.positions-view-row:last-child {
  border: 0px;
}
.positions-view-row:nth-child(2) {
  border-top: 1px #e3e3e3 solid;
}
.positions-view-row:nth-child(odd) {
  background-color: #f7f7f7;
}
.positions-view-row--head {
  border-bottom: none !important;
  background-color: transparent !important;
  position: sticky;
  top: 63px;
  z-index: 10;
}
.positions-view-row--page {
  top: 0px;
}
.positions-view-name {
  flex: 0 0 350px;
  min-height: 50px;
  border-right: 1px #e3e3e3 solid;
  padding: 5px 10px;
}
.positions-view-name--head {
  opacity: 0;
}
.positions-view-pos-block {
  display: flex;
}
.positions-view-pos-item {
  border-right: 1px #e3e3e3 solid;
  width: 50px;
  height: 100%;
  flex: 0 0 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.positions-view-pos-item-check {
  position: absolute;
  top: 2px;
  right: 2px;
  font-size: 10px;
}
.positions-view-pos-item {
  background-color: #b4d9f1;
  color: #000;
}
.positions-view-pos-item--day {
  font-size: 14px;
  background-color: #f7f7f7;
}
.positions-view-pos-item--red {
  background-color: #fbe1df;
  color: #000;
}
.positions-view-pos-item--green {
  background-color: #def6e9;
  color: #000;
}
.positions-col {
  padding: 0px 10px;
}
.positions-row {
  display: flex;
  width: 100%;
  border-bottom: 1px #e3e3e3 solid;
  padding: 10px 0px;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.positions-row:hover {
  background-color: #f9f9f9;
}
.positions-row-head {
  font-weight: 700;
  opacity: 0.6;
  font-size: 14px;
  cursor: default;
}
.positions-row-head:hover {
  background-color: transparent;
}
.positions-name {
  flex: 0 0 30%;
}
.positions-name-sub {
  display: inline-block;
  padding: 2px 8px;
  font-size: 12px;
  border-radius: 6px;
  background-color: #5188dd;
  color: #fff;
}
.positions-keys {
  flex: 0 0 5%;
  text-align: center;
}
.positions-top {
  display: flex;
  flex: 0 0 30%;
  justify-content: center;
}
.positions-top-title {
  display: block;
  text-align: center;
}
.positions-top-num {
  display: block;
  text-align: center;
  font-size: 14px;
}
.positions-top-percent {
  font-size: 12px;
  display: block;
}
.positions-top-percent--red {
  color: #fe6971;
}
.positions-top-percent--green {
  color: #4caf50;
}
.positions-top-item {
  flex: 0 0 25%;
  max-width: 25%;
  height: 100%;
  border-right: 1px #e3e3e3 solid;
}
.positions-top-item:first-child {
  border-left: 1px #e3e3e3 solid;
}
.positions-regions {
  flex: 0 0 25%;
}
.positions-regions span:after {
  content: "|";
}
.positions-regions span:last-child:after {
  display: none;
}
.positions-last {
  flex: 0 0 10%;
}

.error-page-header {
  padding: 12px 127px 0 127px;
  border-bottom: 1px #e8e8e8 solid;
}
.error-page-content {
  padding: 0px 150px;
}
.error-menu {
  padding: 0px 13px 0px 13px;
  margin: 0px;
  list-style: none;
  display: flex;
}
.error-menu li {
  position: relative;
}
.error-menu li a {
  position: relative;
  padding: 0 10px;
  font-size: 15px;
  line-height: 44px;
  white-space: nowrap;
  text-decoration: none;
  color: rgba(0, 0, 0, 0.45);
}
.error-menu li:first-child a {
  padding-left: 0px;
  color: #000;
  font-weight: 700;
}
.error-menu li:first-child:after {
  content: "";
  position: absolute;
  width: calc(100% - 10px);
  height: 2px;
  background-color: #000;
  bottom: 0;
  left: 0;
}
.error-content {
  padding: 18px 0px 0px 0px;
}
.error-content-text {
  font-size: 20px;
  margin: 0px 0px 30px 0px;
}
.error-content-code {
  font-size: 120px;
  line-height: 120px;
  font-weight: 700;
  margin: 0px 0px 10px 0px;
}
.error-search {
  height: 56px;
  padding: 2px;
  border-radius: 28px;
  background: #fff;
  box-shadow: 0 0 0 2px inset rgba(0, 0, 0, 0.3);
  display: flex;
  align-self: flex-start;
  align-items: center;
}
.error-search-logo {
  margin: 4px 0 4px 4px;
}
.error-search-logo svg {
  width: 44px;
  height: auto;
}
.error-search-text {
  padding: 0 8px 0 12px;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-size: 18px;
}
